Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001105SpeedFanInstallationpublic2008-03-29 09:422009-03-12 21:04
Reporterjeffmi 
Assigned Toalfredo 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSVista (x32)OS VersionSP1
Product Version4.33 
Target VersionFixed in Version4.38 beta 
Summary0001105: Speedfan will not install
DescriptionSpeedfan v4.33 will not install on Toshiba Tecra M5, Vista SP1.
 
I used "Run As Administrator", and then turned off User Access Control with no luck.

It pops up a dialog box saying "Administrative privileges are required to install SPEEDFAN. Installation is not complete...", and then hangs.
 
The installer leaves a 0-byte initdebug.nfo file laying around.
 
Also, a few times it incorrectly said the OS was Windows XP.
 
Thanks for any tips to get it installed.
 
TagsNo tags attached.
Motherboard Model
Video Card ModelnVidia
Attached Files

- Relationships
has duplicate 0000697closedalfredo IsAdmin check in sfextra needs more tweaking.. 

-  Notes
(0003466)
norman02us (reporter)
2008-05-05 00:05
edited on: 2008-05-05 00:05

Have you tried it with version 4.34?

(0004133)
BruceHowells (reporter)
2008-09-09 18:02

I debated updating this bug vs. opening a new one - go ahead and split (or tell me to) as you wish.

I'm seeing the same thing on XPSP3 (joined to a domain) with 4.35.
(0004640)
alfredo (manager)
2009-03-10 14:44

I just released a new beta. It uses two different methods to check ADMIN rights.
Could you run it and let me know about the output from the installer?
(0004643)
BruceHowells (reporter)
2009-03-10 16:12
edited on: 2009-03-10 16:13

Ok, this one is interesting. Installing from installspeedfan438beta13.exe.

I still get the "Administrative privileges are required to install SPEEDFAN\nInstallation is not complete..." but the Installing window reports:

- (DEBUG) OS is Windows 5.1 build 2600
- OS is Windows XP
- (DEBUG) Your privilege is Admin
- You've got administrative privileges (new method)

[end of text]

The install then exits (well, goes immediately to :Completed in the window title and only teh Cancel button is available.

(0004644)
BruceHowells (reporter)
2009-03-10 16:12

additionally, initdebug.nfo is empty.
(0004645)
alfredo (manager)
2009-03-11 18:42

Hello, I just sent you a new installer.
Does it work?
(0004646)
alfredo (manager)
2009-03-11 20:33

SpeedFan 4.38 beta 14 is online.
Could you give it a try and let me know if this public beta fixes this issue?
Thank you.
(0004651)
alfredo (manager)
2009-03-12 21:04

All installer issues are gone now.

- Issue History
Date Modified Username Field Change
2008-03-29 09:42 jeffmi New Issue
2008-03-29 09:42 jeffmi Status new => assigned
2008-03-29 09:42 jeffmi Assigned To => alfredo
2008-03-29 09:42 jeffmi Video Card Model => nVidia
2008-05-05 00:05 norman02us Note Added: 0003466
2008-05-05 00:05 norman02us Note Edited: 0003466
2008-05-05 00:59 alfredo Status assigned => acknowledged
2008-09-09 18:02 BruceHowells Note Added: 0004133
2009-03-10 14:44 alfredo Note Added: 0004640
2009-03-10 16:12 BruceHowells Note Added: 0004643
2009-03-10 16:12 BruceHowells Note Added: 0004644
2009-03-10 16:13 BruceHowells Note Edited: 0004643
2009-03-11 18:42 alfredo Note Added: 0004645
2009-03-11 18:45 alfredo Relationship added has duplicate 0000697
2009-03-11 20:33 alfredo Note Added: 0004646
2009-03-12 21:04 alfredo Note Added: 0004651
2009-03-12 21:04 alfredo Status acknowledged => resolved
2009-03-12 21:04 alfredo Resolution open => fixed
2009-03-12 21:04 alfredo Fixed in Version => 4.38 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3714 seconds.
memory usage: 8,112 KB
Powered by Mantis Bugtracker